************************************************************************
* AGE-STD.DO
*
* Produce life table estimats of relative survival that are
* age standardised. Both Ederer II and Pohar Perme estimates. 
*
* Paul Dickman (paul.dickman@ki.se)
* Nov 2013 v1.0
*
*************************************************************************
set more off
clear all

use colon if stage==1, clear

/* Specify weights for each agegroup */
gen weight = agegrp
recode weight 0=0.3 1=0.3 2=0.3 3=0.10

stset exit, origin(dx) fail(status==1 2) id(id) scale(365.24)

strs using popmort [iw=weight], breaks(0(1)10) mergeby(_year sex _age) diagage(age) ///
    by(sex) standstrata(agegrp) pohar f(%7.5f) 

exit	 
	 



